{
  imports = [
    ./hardware-configuration.nix
    ../../common/fragments/graphical
    ../../common/fragments/yubikey.nix
    ../../common/home_manager/common.nix
  ];

  # Bootloader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  boot.loader.systemd-boot.consoleMode = "max";
  boot.loader.systemd-boot.configurationLimit = 3;

  # Setup keyfile
  boot.initrd.secrets = { "/crypto_keyfile.bin" = null; };

  networking.hostName = "tears";

  # Enable networking
  networking.networkmanager.enable = true;

  # Enable the OpenSSH daemon.
  services.openssh = {
    enable = true;
    banner = ''
      Hello mistress ^,,^
    '';
    settings.PasswordAuthentication = false;
  };

  virtualisation = {
    podman = {
      enable = true;
      dockerCompat = true;
      defaultNetwork.settings.dns_enabled = true;
    };
    oci-containers = { backend = "podman"; };
  };

  home-manager.users.agatha = {
    xsession.windowManager.bspwm = {
      monitors = {
        DP-1 = [ "I" "II" "III" "IV" "V" ];
        HDMI-1 = [ "VI" "VII" "VIII" "IX" "X" ];
      };
      extraConfigEarly =
        "xrandr --output HDMI-1 --mode 1920x1080 --rate 144 --dpi 92 --output DP-1 --mode 1920x1080 --rate 144 --dpi 92 --left-of HDMI-1";
      rules = {
        "Element".desktop = "I";
        "TelegramDesktop".desktop = "II";
        "Spotify".desktop = "III";
        "Geary".desktop = "IV";
        "firefox" = {
          desktop = "VI";
          state = "tiled";
          follow = false;
        };
      };
    };

    services.polybar = {
      script = ''
        polybar left &
        polybar right &'';
      settings."bar/right" = {
        monitor = "\${env:MONITOR:HDMI-1}";
        modules.right =
          "filesystem battery pulseaudio xkeyboard memory cpu powermenu";
      };
      settings."bar/left".monitor = "\${env:MONITOR:DP-1}";
    };
  };

  environment.graphical.theme.name = "bridge";

  services.syncthing.dataDir = "/mnt/hdd/syncthing";

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "23.05"; # Did you read the comment?

}
